PythonPOSIXHandler (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules.posix
Class PythonPOSIXHandler

    java.lang.Object
      org.python.modules.posix.PythonPOSIXHandler

All Implemented Interfaces:
  org.jruby.ext.posix.POSIXHandler

    public class PythonPOSIXHandler

extends Object
implements org.jruby.ext.posix.POSIXHandler

Jython specific hooks for our underlying POSIX library.

Nested Class Summary

Nested classes/interfaces inherited from interface org.jruby.ext.posix.POSIXHandler
`org.jruby.ext.posix.POSIXHandler.WARNING_ID`

Constructor Summary
`PythonPOSIXHandler()`

Method Summary
`void` | `error(com.kenai.constantine.platform.Errno error, String extraData)`
`File` | `getCurrentWorkingDirectory()`
`String[]` | `getEnv()`
`PrintStream` | `getErrorStream()`
`InputStream` | `getInputStream()`
`PrintStream` | `getOutputStream()`
`int` | `getPID()`
`boolean` | `isVerbose()`
`void` | `unimplementedError(String methodName)`
`void` | `warn(org.jruby.ext.posix.POSIXHandler.WARNING_ID id, String message, Object... data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PythonPOSIXHandler

    public PythonPOSIXHandler()

Method Detail

### error

    public void error(com.kenai.constantine.platform.Errno error,
                      String extraData)

  Specified by:
    `error` in interface `org.jruby.ext.posix.POSIXHandler`

### unimplementedError

    public void unimplementedError(String methodName)

  Specified by:
    `unimplementedError` in interface `org.jruby.ext.posix.POSIXHandler`

### warn

    public void warn(org.jruby.ext.posix.POSIXHandler.WARNING_ID id,
                     String message,
                     Object... data)

  Specified by:
    `warn` in interface `org.jruby.ext.posix.POSIXHandler`

### isVerbose

    public boolean isVerbose()

  Specified by:
    `isVerbose` in interface `org.jruby.ext.posix.POSIXHandler`

### getCurrentWorkingDirectory

    public File getCurrentWorkingDirectory()

  Specified by:
    `getCurrentWorkingDirectory` in interface `org.jruby.ext.posix.POSIXHandler`

### getEnv

    public String[] getEnv()

  Specified by:
    `getEnv` in interface `org.jruby.ext.posix.POSIXHandler`

### getInputStream

    public InputStream getInputStream()

  Specified by:
    `getInputStream` in interface `org.jruby.ext.posix.POSIXHandler`

### getOutputStream

    public PrintStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `org.jruby.ext.posix.POSIXHandler`

### getPID

    public int getPID()

  Specified by:
    `getPID` in interface `org.jruby.ext.posix.POSIXHandler`

### getErrorStream

    public PrintStream getErrorStream()

  Specified by:
    `getErrorStream` in interface `org.jruby.ext.posix.POSIXHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage